## org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library
Interface LibraryPackage

    public interface LibraryPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `LibraryFactory`
Generated:
Model:
  kind="package"

Nested Class Summary
`static interface` `LibraryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` `BOOK` The meta object id for the '`Book`' class.
`static int` `BOOK__ISBN` The feature id for the 'ISBN' attribute.
`static int` `BOOK__LIBRARY` The feature id for the 'Library' container reference.
`static int` `BOOK__NAME` The feature id for the 'Name' attribute.
`static int` `BOOK__WRITER` The feature id for the 'Writer' reference.
`static int` `BOOK_FEATURE_COUNT` The number of structural features of the 'Book' class.
`static LibraryPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `LIBRARY` The meta object id for the '`Library`' class.
`static int` `LIBRARY__BOOKS` The feature id for the 'Books' containment reference list.
`static int` `LIBRARY__NAME` The feature id for the 'Name' attribute.
`static int` `LIBRARY__WRITERS` The feature id for the 'Writers' containment reference list.
`static int` `LIBRARY_FEATURE_COUNT` The number of structural features of the 'Library' class.
`static int` `WRITER` The meta object id for the '`Writer`' class.
`static int` `WRITER__LIBRARY` The feature id for the 'Library' container reference.
`static int` `WRITER__NAME` The feature id for the 'Name' attribute.
`static int` `WRITER_FEATURE_COUNT` The number of structural features of the 'Writer' class.

Method Summary
`EAttribute` `getBook_ISBN()` Returns the meta object for the attribute '`ISBN`'.
`EReference` `getBook_Library()` Returns the meta object for the container reference '`Library`'.
`EAttribute` `getBook_Name()` Returns the meta object for the attribute '`Name`'.
`EReference` `getBook_Writer()` Returns the meta object for the reference '`Writer`'.
`EClass` `getBook()` Returns the meta object for class '`Book`'.
`EReference` `getLibrary_Books()` Returns the meta object for the containment reference list '`Books`'.
`EAttribute` `getLibrary_Name()` Returns the meta object for the attribute '`Name`'.
`EReference` `getLibrary_Writers()` Returns the meta object for the containment reference list '`Writers`'.
`EClass` `getLibrary()` Returns the meta object for class '`Library`'.
`LibraryFactory` `getLibraryFactory()` Returns the factory that creates the instances of the model.
`EReference` `getWriter_Library()` Returns the meta object for the container reference '`Library`'.
`EAttribute` `getWriter_Name()` Returns the meta object for the attribute '`Name`'.
`EClass` `getWriter()` Returns the meta object for class '`Writer`'.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values
  Generated:

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  Generated:

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  Generated:

### eINSTANCE

    static final LibraryPackage eINSTANCE

  The singleton instance of the package.

  Generated:

### LIBRARY

    static final int LIBRARY

  The meta object id for the '`Library`' class.

  See Also:
    `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryImpl`, `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryPackageImpl#getLibrary()`, Constant Field Values
  Generated:

### LIBRARY__NAME

    static final int LIBRARY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### LIBRARY__WRITERS

    static final int LIBRARY__WRITERS

  The feature id for the 'Writers' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### LIBRARY__BOOKS

    static final int LIBRARY__BOOKS

  The feature id for the 'Books' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### LIBRARY_FEATURE_COUNT

    static final int LIBRARY_FEATURE_COUNT

  The number of structural features of the 'Library' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### WRITER

    static final int WRITER

  The meta object id for the '`Writer`' class.

  See Also:
    `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.WriterImpl`, `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryPackageImpl#getWriter()`, Constant Field Values
  Generated:

### WRITER__NAME

    static final int WRITER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### WRITER__LIBRARY

    static final int WRITER__LIBRARY

  The feature id for the 'Library' container reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### WRITER_FEATURE_COUNT

    static final int WRITER_FEATURE_COUNT

  The number of structural features of the 'Writer' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### BOOK

    static final int BOOK

  The meta object id for the '`Book`' class.

  See Also:
    `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.BookImpl`, `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryPackageImpl#getBook()`, Constant Field Values
  Generated:

### BOOK__NAME

    static final int BOOK__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### BOOK__ISBN

    static final int BOOK__ISBN

  The feature id for the 'ISBN' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### BOOK__WRITER

    static final int BOOK__WRITER

  The feature id for the 'Writer' reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### BOOK__LIBRARY

    static final int BOOK__LIBRARY

  The feature id for the 'Library' container reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### BOOK_FEATURE_COUNT

    static final int BOOK_FEATURE_COUNT

  The number of structural features of the 'Book' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

Method Detail

### getLibrary

    EClass getLibrary()

  Returns the meta object for class '`Library`'.

  Returns:
    the meta object for class 'Library'.
  See Also:
    `Library`
  Generated:

### getLibrary_Name

    EAttribute getLibrary_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Library.getName()`, `getLibrary()`
  Generated:

### getLibrary_Writers

    EReference getLibrary_Writers()

  Returns the meta object for the containment reference list '`Writers`'.

  Returns:
    the meta object for the containment reference list 'Writers'.
  See Also:
    `Library.getWriters()`, `getLibrary()`
  Generated:

### getLibrary_Books

    EReference getLibrary_Books()

  Returns the meta object for the containment reference list '`Books`'.

  Returns:
    the meta object for the containment reference list 'Books'.
  See Also:
    `Library.getBooks()`, `getLibrary()`
  Generated:

### getWriter

    EClass getWriter()

  Returns the meta object for class '`Writer`'.

  Returns:
    the meta object for class 'Writer'.
  See Also:
    `Writer`
  Generated:

### getWriter_Name

    EAttribute getWriter_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Writer.getName()`, `getWriter()`
  Generated:

### getWriter_Library

    EReference getWriter_Library()

  Returns the meta object for the container reference '`Library`'.

  Returns:
    the meta object for the container reference 'Library'.
  See Also:
    `Writer.getLibrary()`, `getWriter()`
  Generated:

### getBook

    EClass getBook()

  Returns the meta object for class '`Book`'.

  Returns:
    the meta object for class 'Book'.
  See Also:
    `Book`
  Generated:

### getBook_Name

    EAttribute getBook_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Book.getName()`, `getBook()`
  Generated:

### getBook_ISBN

    EAttribute getBook_ISBN()

  Returns the meta object for the attribute '`ISBN`'.

  Returns:
    the meta object for the attribute 'ISBN'.
  See Also:
    `Book.getISBN()`, `getBook()`
  Generated:

### getBook_Writer

    EReference getBook_Writer()

  Returns the meta object for the reference '`Writer`'.

  Returns:
    the meta object for the reference 'Writer'.
  See Also:
    `Book.getWriter()`, `getBook()`
  Generated:

### getBook_Library

    EReference getBook_Library()

  Returns the meta object for the container reference '`Library`'.

  Returns:
    the meta object for the container reference 'Library'.
  See Also:
    `Book.getLibrary()`, `getBook()`
  Generated:

### getLibraryFactory

    LibraryFactory getLibraryFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  Generated: